curl --request DELETE \
--url https://api.x.com/2/lists/{id}/members/{user_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/lists/{id}/members/{user_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/lists/{id}/members/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"is_member": true
},
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}Retirer un membre de la liste
Supprime un utilisateur d’une Liste spécifique à l’aide de l’identifiant de la Liste et de l’identifiant de l’utilisateur.
Autorisations
The access token received from the authorization server in the OAuth 2.0 flow.
Paramètres de chemin
L’identifiant de la Liste à partir de laquelle supprimer un membre. L’identifiant unique de cette Liste.
^[0-9]{1,19}$"1146654567674912769"
L’identifiant de l’utilisateur qui sera supprimé de la Liste. Identifiant unique de cet utilisateur. Il est renvoyé sous forme de chaîne de caractères afin d’éviter les problèmes avec les langages et outils qui ne prennent pas en charge les entiers de grande taille.
^[0-9]{1,19}$"2244994945"
Réponse
La requête a réussi.
Show child attributes
Show child attributes
1Un objet HTTP Problem Details, tel que défini dans la RFC IETF 7807 (https://tools.ietf.org/html/rfc7807).
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes